%{?nodejs_find_provides_and_requires}

%global packagename balanced-match
%global enable_tests 0
# tests disabled to to reliance on ancient version of 'tape'

Name:		nodejs-balanced-match
Version:	0.2.1
Release:	1%{?dist}
Summary:	Match balanced character pairs, like "{" and "}"

License:	MIT
URL:		https://github.com/juliangruber/balanced-match.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Match balanced character pairs, like "{" and "}"


%prep
%setup -q -n package
# setup the tests
#%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
make test
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-1
- Initial packaging
